# Generated by Django 2.0.5 on 2020-06-17 12:56

import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0085_auto_20200601_0747'),
        ('config_compliance', '0010_auto_20200616_1336'),
    ]

    operations = [
        migrations.CreateModel(
            name='ConfigComplianceScore',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('device_crm_id', models.PositiveIntegerField()),
                ('valid_compliance', django.contrib.postgres.fields.jsonb.JSONField(default={})),
                ('invalid_compliance', django.contrib.postgres.fields.jsonb.JSONField(default={})),
                ('customer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='accounts.Customer')),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='accounts.Provider')),
            ],
            options={
                'db_table': 'config_compliance_score',
            },
        ),
        migrations.AlterUniqueTogether(
            name='configcompliancescore',
            unique_together={('provider', 'customer', 'device_crm_id')},
        ),
        migrations.AlterIndexTogether(
            name='configcompliancescore',
            index_together={('provider', 'customer', 'device_crm_id')},
        ),
    ]

